Backups - Feature # 83: Provide a per-account host name for the NFS mounts

Status: New Priority: Normal

Author: admin Category:

Created: 2011-09-09 Assigned to:

Updated: 2011-09-15 Due date:

Subject: Provide a per-account host name for the NFS mounts

Description: The server which holds the backups for a given account may have to change from time to time. Rather than

sending out a notification to customers that it has changed, it would be better to have a hostname that points
to it and never changes name.

e.g. vpsname.backups.bitfolk.com

History
2011-09-09 12:49 - admin
Note that these are not expected to change regularly. The backups NFS host has only been changed twice ever.

Those building ACLs for where the backups host will connect from may still need to resolve the host to an IP address.
2011-09-15 10:48 - vps01
Since there is already a host specific console, and | can see you wanting to add other host specific host names might it be worth considering using the

convention <service>.<vps-name>.bitfolk.com (e.g.backups.my-vps.bitfolk.com, console.my-vps.bitfolk.com).

Otherwise it seams to be an idea with minor additional work for the first change (I make a change to the content of a few files, you set it up, notify me

and move the IP), with savings for future changes (I do nothing, you change IP and update LDAP?).

2011-09-15 14:39 - admin
We can't import the entire list of account names into bitfolk.com as there are already overlaps with existing records in bitfolk.com.

It could be done as <service>.<account>.vps.bitfolk.com (so vps01.console.bitfolk.com &1’ console.vps01.vps.bitfolk.com). Bit of a mouthful?

It could alternatively be done with a different domain than bitfolk.com. If you have any suggestions for domains it's probably best to give them in private

otherwise someone will register them.
